[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# THintWindow.ActivateWithBounds

Sets the bounds in HintRect and activates the hint window.

## Declaration

Source position: forms.pp line 1019

`public procedure THintWindow.ActivateWithBounds(`
`ARect: TRect;`
`const AHint: string`
`);`

## Arguments

`ARect` |  | Rectangle with the bounds assigned to HintRect.
`AHint` |  | Text displayed in the hint window.

## Description

ActivateWithBounds is a procedure used to display a hint window without adjusting its position or size using the private AdjustBoundsForMonitor method. ActivateWithBounds sets the value in HintRect to the value in the ARect argument. ActivateWithBounds calls ActivateHint using the value in AHint as the text displayed in the hint window.

ActivateWithBounds is used in controls (like TSynEdit) where the bounds for the hint window use predetermined screen coordinates.

## See also

THintWindow.HintRect |  | Contains the bounds used to display the text for the hint.
THintWindow.ActivateHint |  | Shows the hint window with the specified hint text.